glslideshow(6)

NAME
glslideshow - slideshow of images using smooth zooming and fades

SYNOPSIS
glslideshow [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--duration seconds] [--transition seconds] [--pan seconds] [--fade seconds] [--letterbox | --clip] [--zoom percent] [--titles] [--delay usecs] [--fps] [--verbose] [--debug] [--wireframe]

DESCRIPTION
Displays a slideshow of images, with panning, zooming and crossfading effects. To specify the directory that images are loaded from, run xscreensaver-settings(1) and click on the "Advanced" tab.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--duration seconds
    How long each image will be displayed before loading a new one. Default 30 seconds.

--transition seconds
    When a new image is loaded, it transitions onto the screen by sliding in from the edges, spinning or flipping. This is how long that transition takes. Set it to 0 to disable the transition effects. Default 3 seconds.

--pan seconds
    Once an image has been loaded, it is panned, zoomed and cross-faded against itself. This is how fast those pans are. Set this to 0 to disable the panning-and-crossfading effect. Default 6 seconds.

--fade seconds
    When zooming and cross-fading, this is how long the "fade" portion takes. This value must be less than the "pan" option (it is inclusive). Set this to 0 to disable the panning-and-crossfading effect. Default 2 seconds.

--letterbox
    Whether to fit the image on the screen (adding horizontal or vertical black bars) or to fill the screen (cropping the image). This is the default.

--clip
    The opposite of --letterbox.

--zoom number
    Zoom in on the image a little bit. This applies both to "transitions" and to "panning-and-crossfading". Default: 75, meaning that 75% or more of each image will always be visible. If you always want to see 100% of every image, then use "letterbox" and set "zoom" to 100%.

--titles
    Whether to show the file name of the current image in the upper left corner.

--delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds).

--fps
    Display the current frame rate, CPU load, and polygon count.

--verbose
    Prints debugging info to stderr.

--debug
    Draw some diagnostic rectangles.

--wireframe
    Another debug mode.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver-settings(1), xscreensaver-getimage(6), xscreensaver(1), carousel(6) photopile(6)

COPYRIGHT
Copyright © 2003-2025 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.